/* .hero {
  display: flex;
  height: 20vh;
  align-items: end;
  justify-content: start;
  padding: 0 6rem;
} */

section.recipe-section {
	color: var(--color-primary);
}

section.recipe-section .recipe-grid {
	display: grid;
	grid-template-columns: repeat(6, 1fr);
	padding: clamp(1.6rem, calc(0.143rem + 2.53vw), 5rem);
	gap: clamp(1.6rem, calc(0.569rem + 1.79vw), 4rem);
}

section.recipe-section .recipe-grid .grid-item {
	/* outline: 1px solid rgba(255, 0, 0, 0.1); */
}

section.recipe-section .recipe-title {
	grid-column: 1 / 5;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	/* width: 75%; */
	font-size: clamp(1.8rem, calc(1.454rem + 0.6vw), 2.6rem);
	/* font-size: 1rem; */
}

section.recipe-section .recipe-title h1 {
	text-align: right;
	font-size: clamp(6rem, calc(3.431rem + 4.46vw), 12rem);
	font-style: italic;
	text-shadow: 1px 2px 2px rgba(0, 0, 0, 0.4);
}

section.recipe-section .recipe-image {
	grid-column: 5 / 7;
}

section.recipe-section .recipe-ingredients {
	position: relative;
	grid-column: 1 / 3;
	padding: 2rem;
}

section.recipe-section .recipe-method {
	grid-column: 3 / 7;
	padding: 2rem;
}

section.recipe-section .recipe-method,
section.recipe-section .recipe-ingredients {
	background-color: rgb(255, 255, 255);
	border: 3px solid rgba(179, 125, 0, 0.2);
	border-radius: 1.4rem;
	box-shadow: 2px 2px 10px -1px rgba(179, 125, 0, 0.5);
}

section.recipe-section .recipe-image img {
	border-radius: 1.4rem;
}

section.recipe-section .recipe-ingredients img {
	position: absolute;
	height: 40%;
	width: auto;
	bottom: 5px;
	right: 5px;
	/* z-index: 0; */
}

section.recipe-section .recipe-title h2 {
	font-size: clamp(1.8rem, calc(1.454rem + 0.6vw), 2.6rem);
	font-weight: 400;
}

.recipe-ingredients h2,
.recipe-method h2 {
	font-size: clamp(1.8rem, calc(1.454rem + 0.6vw), 2.6rem);
	font-weight: 700;
	margin-bottom: 1.2rem;
	letter-spacing: 0.06rem;
}

.recipe-grid ul {
	padding-left: 2rem;
	list-style-type: disc;
	font-size: 2rem;
}
.grid-item ul li {
	margin-bottom: 0.8rem;
	color: var(--color-primary);
}

.grid-item ul li::marker {
	color: var(--color-secondary);
}

@media (max-width: 1200px) {
	/* placeholder */
}

@media (max-width: 992px) {
	section.recipe-section .recipe-ingredients {
		grid-column: 1 / 4;
	}

	section.recipe-section .recipe-method {
		grid-column: 4 / 7;
	}
}

@media (max-width: 768px) {
	section.recipe-section .recipe-title {
		grid-column: 1 / 7;
		order: 1;
	}
	section.recipe-section .recipe-image {
		grid-column: 1 / 7;
		order: 2;
	}
	section.recipe-section .recipe-ingredients {
		grid-column: 1 / 7;
		order: 3;
	}

	section.recipe-section .recipe-method {
		grid-column: 1 / 7;
		order: 4;
	}
}

@media (max-width: 576px) {
	/* placeholder */
}
